import { AbstractUiComponent } from "./AbstractUiComponent";
import { TeamAppsUiContext } from "./TeamAppsUiContext";
import { UiResponsiveGridLayoutCommandHandler, UiResponsiveGridLayoutConfig } from "../generated/UiResponsiveGridLayoutConfig";
import { UiResponsiveGridLayoutPolicyConfig } from "../generated/UiResponsiveGridLayoutPolicyConfig";
export declare class UiResponsiveGridLayout extends AbstractUiComponent<UiResponsiveGridLayoutConfig> implements UiResponsiveGridLayoutCommandHandler {
    private $main;
    private $gridLayout;
    private layoutsFromSmallToLargeMinApplicableWidth;
    private currentLayout;
    constructor(config: UiResponsiveGridLayoutConfig, context: TeamAppsUiContext);
    getMainDomElement(): HTMLElement;
    updateLayoutPolicies(layoutPolicies: UiResponsiveGridLayoutPolicyConfig[]): void;
    onResize(): void;
    private updateLayout;
    private getApplicableLayout;
    setFillHeight(fillHeight: boolean): void;
}
